LLPP(1)

NAME
llpp - a graphical document pager which aims to superficially resemble less

SYNOPSIS

llpp [-c path] [-css path] [-dest named-dest] [-f path] [-gc] [-help|--help] [-last] [-no-title] [-origin origin] [-p password] [-page page-number] [-remote path] [-tcf path] [-layout-height height] [-v] some.pdf

DESCRIPTION

llpp is a graphical document pager utilizing MuPDF (https://mupdf.com/) library. The default keybindings resemble those of less(1)

OPTIONS

-c path
    Set path to the configuration file

-css path
    Set path to the style sheet to use with EPUB/HTML

-dest named-dest
    Set named destination

-f path
    Set path to the user interface font

-gc
    Collect config garbage

-help, --help
    Display list of options

-last
    Open last visited document

-no-title
    Ignore document title

-origin origin
    <undocumented>

-p password
    Set password

-page page-number
    Jump to page

-remote path
    Set path to the source of remote commands

-tcf path
    Set path to the trim cache file

-layout-height height
    Set page height for reflowable documents (-1 == default, 0 == unlimited)

-v
    Print version and exit

KEY BINDINGS

Open a document with llpp, then press F1 or h to switch to help mode.

To remember all key bindings, an Anki deck has been made available:

    https://ankiweb.net/shared/info/1547122548

FILES

  ~/.config/llpp.conf

This is the user specific configuration file. If $XDG_CONFIG_HOME is set $XDG_CONFIG_HOME/llpp.conf is used instead. It has an XML structure.

You can specify a custom path using the -c option.

Configuration structure.

    <llppconfig>
    <ui-font size='20'/>
    <defaults
      width='1200'
      height='1000'
      ...
      use-document-css='true'/>
      <doc path='/some/path/file1.pdf'
        page='1'
        ...
        height='1000'/>
      <doc path='/some/path/file2.pdf'
        page='3'
        ...
        height='600'/>
      ...
    </llppconfig>

Some configuration tips

        • To change the user interface font:

        <llppconfig>
          <ui-font size='16'>
            <![CDATA[/path/to/fonts/PTF55F.ttf]]>
          </ui-font>
          <defaults ... />
        </llppconfig>

        • To change keybindings, add keymaps to the defaults element, for instance following example disables Escape key in the view mode:

        <llppconfig>
          <defaults ... >
            <keymap mode='view'>
              <map in='esc' out=/>
            </keymap>
          </defaults>
        </llppconfig>

    The different modes are birdseye, global, help, info, listview, outline, and view.

SEE ALSO

llppac(1), llpphtml(1)

ENVIRONMENT

  LLPP_ASKPASS

Command to inquire user about the password (dmenu/rofi like)

REPORTING BUGS

https://github.com/moosotc/llpp/issues or mailto://moosotc@gmail.com

MACOS

Nicolás Ojeda Bär contributed macOS port.